<Project Sdk="Microsoft.NET.Sdk">

   <Import Project="$(SolutionDir)Solution.props" />
   <PropertyGroup>
      <TargetFramework>net472</TargetFramework>
      <AssemblyName>Raytheon.Instruments.DIOSiUSBXp</AssemblyName>
      <RootNamespace>Raytheon.Instruments</RootNamespace>
      <Product> implementation</Product>
      <Description> implementation</Description>
      <OutputType>Library</OutputType>

      <!-- Static versioning (Suitable for Development) -->
      <!-- Disable the line below for dynamic versioning -->
      <Version>1.0.0</Version>
   </PropertyGroup>

   <ItemGroup>
      <PackageReference Include="NLog" Version="5.0.0" />
      <PackageReference Include="Raytheon.Common" Version="1.0.0" />
      <PackageReference Include="Raytheon.Instruments.GeneralIO.Contracts" Version="1.7.0" />
   </ItemGroup>

   <ItemGroup>
      <ProjectReference Include="..\DIOSim\DIOSim.csproj" />
   </ItemGroup>

   <!-- Copy all *.dlls and *.pdb in the output folder to a temp folder -->
   <Target Name="CopyFiles" AfterTargets="AfterBuild">
      <ItemGroup>
         <FILES_1 Include="$(OutDir)*.dll" />
         <FILES_2 Include="$(OutDir)*.pdb" />
      </ItemGroup>
      <Copy SourceFiles="@(FILES_1)" DestinationFolder="$(HalTempFolder)" />
      <Copy SourceFiles="@(FILES_2)" DestinationFolder="$(HalTempFolder)" />
   </Target>

</Project>
